summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author LukenShiro2011-12-14 19:53:26 +0100
committer Niels Horn2011-12-18 03:07:48 +0100
commit4a2261b0a1aed49ef1de58498f92df725eb04d4a (patch)
tree14f2f767d416297da09a35e549f6af3bef817dd9 /perl
parentb92eacf0878d3685b592b30ce2b6c5629258e594 (diff)
downloadslackbuilds-4a2261b0a1aed49ef1de58498f92df725eb04d4a.tar.gz
perl/perl-digest-hmac: Updated for version 1.03.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-digest-hmac/README3
-rw-r--r--perl/perl-digest-hmac/perl-digest-hmac.SlackBuild35
-rw-r--r--perl/perl-digest-hmac/perl-digest-hmac.info8
-rw-r--r--perl/perl-digest-hmac/slack-desc8
4 files changed, 23 insertions, 31 deletions
diff --git a/perl/perl-digest-hmac/README b/perl/perl-digest-hmac/README
index 725f14d523..c0d31e28a0 100644
--- a/perl/perl-digest-hmac/README
+++ b/perl/perl-digest-hmac/README
@@ -7,5 +7,4 @@ The Digest::HMAC module follow the common Digest:: interface, but the
constructor takes the secret key and the name of some other simple Digest::
module as argument.
-It depends on: perl-digest-sha1 (available from Slackbuilds.org)
-
+This requires perl-digest-sha1.
diff --git a/perl/perl-digest-hmac/perl-digest-hmac.SlackBuild b/perl/perl-digest-hmac/perl-digest-hmac.SlackBuild
index cd25d703d6..9736559dea 100644
--- a/perl/perl-digest-hmac/perl-digest-hmac.SlackBuild
+++ b/perl/perl-digest-hmac/perl-digest-hmac.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-digest-hmac
-# Copyright 2008-2010 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2011 LukenShiro, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-digest-hmac
-SRC_PRGNAM=Digest-HMAC
-VERSION=${VERSION:-1.02}
+VERSION=${VERSION:-1.03}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -43,6 +42,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SRCNAM=Digest-HMAC
DOCFILES="Changes README"
set -e # Exit on most errors
@@ -50,9 +50,9 @@ set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
-cd $SRC_PRGNAM-$VERSION
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -60,29 +60,22 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-echo "y" | perl Makefile.PL INSTALLDIRS=vendor
-
+echo "y" | perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
make
-
+make test
make install DESTDIR=$PKG
-#Move man-pages to appropriate place
-mv $PKG/usr/share/man $PKG/usr/
-
# Remove perlocal.pod, .packlist and .bs from $PKG
-( for i in perllocal.pod .packlist *.bs; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-)
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
-# compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/perl/perl-digest-hmac/perl-digest-hmac.info b/perl/perl-digest-hmac/perl-digest-hmac.info
index 0dd7e8594f..e9ea9843eb 100644
--- a/perl/perl-digest-hmac/perl-digest-hmac.info
+++ b/perl/perl-digest-hmac/perl-digest-hmac.info
@@ -1,10 +1,10 @@
PRGNAM="perl-digest-hmac"
-VERSION="1.02"
+VERSION="1.03"
HOMEPAGE="http://search.cpan.org/dist/Digest-HMAC/"
-DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Digest-HMAC-1.02.tar.gz"
-MD5SUM="64c4b247d83cd64ec32aa22bf58a709b"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Digest-HMAC-1.03.tar.gz"
+MD5SUM="e6a5d6f552da16eacb5157ea4369ff9d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="LukenShiro"
EMAIL="lukenshiro@ngi.it"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/perl/perl-digest-hmac/slack-desc b/perl/perl-digest-hmac/slack-desc
index ff33536231..53d58cc865 100644
--- a/perl/perl-digest-hmac/slack-desc
+++ b/perl/perl-digest-hmac/slack-desc
@@ -12,8 +12,8 @@ perl-digest-hmac: Digest::HMAC is used for message integrity checks between two
perl-digest-hmac: parties that share a secret key, and works in combination
perl-digest-hmac: with some other Digest algorithm, usually MD5 or SHA-1.
perl-digest-hmac: The HMAC mechanism is described in RFC 2104.
-perl-digest-hmac:
-perl-digest-hmac:
-perl-digest-hmac:
+perl-digest-hmac:
perl-digest-hmac: Homepage: http://search.cpan.org/dist/Digest-HMAC
-perl-digest-hmac:
+perl-digest-hmac:
+perl-digest-hmac:
+perl-digest-hmac: